Bug 11120 - update libwpd to 0.8.9
: update libwpd to 0.8.9
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libwpd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://sourceforge.net/project/showno...
:
:
:
  Show dependency tree
 
Reported: 2007-03-16 14:46 by
Modified: 2007-03-16 14:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-16 14:46:39
В текущей версии libwpd которая находится в Сизифе есть проблема.

CHANGES:
0.8.8 - 0.8.9
- Fix http://qa.openoffice.org/issues/show_bug.cgi?id=74134, a bug in WP1
document
  type detection where we could try to seek to a negative place in document
(Fridrich)
- Fix a regression wrt. 0.8.7 preventing the conversion of tab table in
  WP1 and WP3 file-format (Fridrich)
- Fixed several overflow bugs reported by iDefense. An attacker could create a
  carefully crafted Word Perfect file that could cause an application linked
with
  libwpd, such as OpenOffice, to crash or possibly execute arbitrary code if
the
  file was opened by a victim. (CVE-2007-0002) (iDefense's Sean Larsson,
Fridrich)

Просьба обновить.
------- Comment #1 From 2007-03-16 14:51:24 -------
$ l libwpd-0.8.9-alt1.src.rpm
-rw-r--r-- 1 shrek shrek 571072 Мар 16 14:29 libwpd-0.8.9-alt1.src.rpm